summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--.gitignore4
-rwxr-xr-xrelease.sh24
2 files changed, 28 insertions, 0 deletions
diff --git a/.gitignore b/.gitignore
new file mode 100644
index 0000000..b642e30
--- /dev/null
+++ b/.gitignore
@@ -0,0 +1,4 @@
+
+# release tarballs
+*.tar.xz
+*.tar.xz.sig
diff --git a/release.sh b/release.sh
new file mode 100755
index 0000000..faf8b51
--- /dev/null
+++ b/release.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+
+set -eu
+
+pkgname=icedove
+pkgver=53.0
+pkgrel=1
+
+srcdir=src
+distdir=${pkgname}-${pkgver}
+tarball=${pkgname}_${pkgver}-${pkgrel}.branding.tar.xz
+
+rm -rf $distdir/
+mkdir -pv $distdir
+
+cp -rv $srcdir/* $distdir/
+
+rm -f ${tarball}{,.sig}
+tar -cJf $tarball $distdir
+gpg --output ${tarball}.sig --detach-sig $tarball
+rm -rf $distdir
+
+echo "dist tarball: $tarball"
+echo "dist signature: $tarball.sig"